package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag191;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT191Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT191Creator mt191Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt191Creator= (MT191Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt191Creator.getTransactionReferenceNumber();
        mt191Creator.set("20", tag20Value);
    }
}
